Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1485869 - Review Request: compat-ImageMagick693 - Compat package with ImageMagick 6.9.3 libraries
Summary: Review Request: compat-ImageMagick693 - Compat package with ImageMagick 6.9.3...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Sandler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-28 10:38 UTC by Pete Walter
Modified: 2017-09-19 15:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-04 16:16:02 UTC
Type: ---
chr77: fedora-review+


Attachments (Terms of Use)

Description Pete Walter 2017-08-28 10:38:01 UTC
Spec URL: https://pwalter.fedorapeople.org/compat-ImageMagick6.9.3.spec
SRPM URL: https://pwalter.fedorapeople.org/compat-ImageMagick6.9.3-6.9.3.10-1.fc25.src.rpm
Description: Compatibility package with ImageMagick 6.9.3 libraries in order to keep ABI compatibility after ImageMagic soname bumps in stable Fedora releases. Discussion and idea from FESCo meeting.

Fedora Account System Username: pwalter

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=21512229

Comment 1 Chris Sandler 2017-08-28 11:19:19 UTC
Naming's reasonable
License same as ImageMagick-6.9.3.0-6.fc26 that's currently in F26 stable
Spec file follows closely with what's in existing ImageMagick package
Follows existing best practices for creating ABI compat packages
Packaged latest upstream version that's ABI compatible (6.9.3-10)
Doesn't conflict with ImageMagick 6.9.9 (F25/F26 updates-testing) and 7.0.6 (F27/rawhide) packages

APPROVED

Comment 2 Ralph Bean 2017-08-29 15:36:23 UTC
See the comment at the end of the fedrepo-req ticket:  https://pagure.io/releng/fedora-scm-requests/issue/550#comment-461972

The name of the package should not contain periods.  Can you re-do this ticket with the name compat-ImageMagick693?

Comment 4 Gwyn Ciesla 2017-08-29 15:55:29 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/compat-ImageMagick693

Comment 5 Fedora Update System 2017-08-30 19:32:52 UTC
compat-ImageMagick693-6.9.3.10-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-20d59de2dc

Comment 6 Fedora Update System 2017-09-01 04:20:55 UTC
compat-ImageMagick693-6.9.3.10-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-20d59de2dc

Comment 7 Fedora Update System 2017-09-01 11:54:27 UTC
compat-ImageMagick693-6.9.3.10-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1362e7988d

Comment 8 Fedora Update System 2017-09-01 12:53:49 UTC
compat-ImageMagick693-6.9.3.10-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f79e0c7cc4

Comment 9 Fedora Update System 2017-09-04 16:16:02 UTC
compat-ImageMagick693-6.9.3.10-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Sergio Basto 2017-09-04 22:09:42 UTC
Pete Walter, any particular reason to be ImageMagick 6.9.3 ABI compatibility package ? why not  ImageMagick 6.9.6 ABI compatibility package for F27+ ?

Comment 11 Adam Williamson 2017-09-04 23:13:10 UTC
"Discussion and idea from FESCo meeting."

Can you please point to the meeting in question? I'm not clear on why this is really necessary. We rebuilt everything that depended on 6.9.3 along with the 6.9.9.9 updates, and included them in the updates. Does anything at all actually *need* this any more?

Comment 12 Fedora Update System 2017-09-19 03:24:41 UTC
compat-ImageMagick693-6.9.3.10-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Sergio Basto 2017-09-19 13:27:09 UTC
Turns out, this package is/was useful on transaction of all packages (built with IM 6.9.3 to 6.9.9) , dnf fetch this package when some package isn't already built with IM 6.9.9 ) 

Thanks

Comment 14 Fedora Update System 2017-09-19 15:23:29 UTC
compat-ImageMagick693-6.9.3.10-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.